package antlr4_parser;

import org.antlr.v4.runtime.tree.*;
import org.antlr.v4.runtime.Token;
import org.antlr.v4.runtime.ParserRuleContext;

public class JavaMethodsBaseVisitor<T> extends AbstractParseTreeVisitor<T> implements JavaMethodsVisitor<T> {
	@Override public T visitArrayTypeValueNode(JavaMethodsParser.ArrayTypeValueNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitParametersNode(JavaMethodsParser.ParametersNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitExceptionNode(JavaMethodsParser.ExceptionNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitObjectTypeValueNode(JavaMethodsParser.ObjectTypeValueNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitMethodNode(JavaMethodsParser.MethodNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitParameterNode(JavaMethodsParser.ParameterNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitArrayTypeNode(JavaMethodsParser.ArrayTypeNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitEmptyExceptionsNode(JavaMethodsParser.EmptyExceptionsNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitExceptionsNode(JavaMethodsParser.ExceptionsNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitParameterNameNode(JavaMethodsParser.ParameterNameNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitMethodsNode(JavaMethodsParser.MethodsNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitMethodNameNode(JavaMethodsParser.MethodNameNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitEmptyParametersNode(JavaMethodsParser.EmptyParametersNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitObjectTypeNode(JavaMethodsParser.ObjectTypeNodeContext ctx) { return visitChildren(ctx); }

	@Override public T visitReturnTypeNode(JavaMethodsParser.ReturnTypeNodeContext ctx) { return visitChildren(ctx); }
}