package cmd;

import java.io.PrintWriter;

public class CMD {
	
	public static void exec(String[] command, String locationName, String packageName, String jadePath, boolean exceptions, boolean ontoScene) {
		Process p;
    try {
	    p = Runtime.getRuntime().exec(command);
			new Thread(new SyncPipe(p.getErrorStream(), System.err)).start();
			new Thread(new SyncPipe(p.getInputStream(), System.out)).start();
			
			PrintWriter stdin = new PrintWriter(p.getOutputStream());
			
//			PrintWriter writer = new PrintWriter("C:\\Users\\Max\\Desktop\\out.txt", "UTF-8");
//			writer.println("set classpath=.;" + jadePath);
//			writer.close();
			
			//Write commands here
			// Since we cannot know where jade is installed, we ask in the installation process to add the jar in the plugin directory																// removed DANY
			String path = "C:\\Program Files\\Protege_3.5\\plugins\\nl.uva.psy.swi.beangenerator\\jade.jar"; //;C:\\jade.jar;";
			
			// provo ad aggiungere al classpath
			//stdin.println("set classpath=.;" + path);
			//stdin.println("set classpath=.;" + path + ";" + path + "\\impl");
			
			stdin.println("cd " + locationName);
			// DANY
			// stdin.println("javac " + packageName + "\\*.java");
			stdin.println("javac -classpath \"" + ".;" + path + ";" + locationName + "\\impl;" +  locationName + "\\exceptions\" " + packageName + "\\*.java");
			
			// DANY
			// stdin.println("javac " + packageName + "\\impl\\*.java");
			stdin.println("javac -classpath \"" + ".;" + path + ";" + locationName + "\\impl;" +  locationName + "\\exceptions\" " + packageName + "\\impl\\*.java");
			
			if(exceptions) {
			  stdin.println("javac -classpath \"" + ".;" + path + ";" + locationName + "\\impl;" +  locationName + "\\exceptions\" " + packageName + "\\exceptions\\*.java");
			  stdin.println("jar cvf " + packageName + ".jar " + packageName + "\\*.class " + packageName +"\\impl\\*.class " + packageName +"\\exceptions\\*.class");
			}
			else
			  stdin.println("jar cvf " + packageName + ".jar " + packageName + "\\*.class " + packageName +"\\impl\\*.class");

			if(ontoScene) {
				stdin.println("javac " + "ontoScene" + "\\*.java");
				stdin.println("javac " + "ontoScene" + "\\impl\\*.java");
				//stdin.println("javac " + "ontoScene" + "\\exceptions\\*.java");
				//stdin.println("jar cvf " + "ontoScene" + ".jar " + "ontoScene\\*.class ontoScene\\impl\\*.class ontoScene\\exceptions\\*.class");
				stdin.println("jar cvf " + "ontoScene" + ".jar " + "ontoScene\\*.class ontoScene\\impl\\*.class");
			}
			
			stdin.close();
			p.waitFor();
			//int returnCode = p.waitFor();
			//System.out.println("Return code = " + returnCode);
    } 
    catch (Exception e) {
    }
	}
}