package gui;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

public class CustomCellRenderer extends DefaultTableCellRenderer 
{
	 @Override
	 public Component getTableCellRendererComponent(JTable table,
	        Object value, boolean isSelected, boolean hasFocus, int row, int column) {
	     super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
	     this.setBorder(BorderFactory.createLineBorder(Color.gray));
	     if(isSelected)
	    	 setBackground(table.getSelectionBackground());
	     else
	    	 setBackground(table.getBackground());
	     return this;
	}
}
