package defaults;

public class PrimitiveDefaults {
	// These gets initialized to their default values
	private static boolean DEFAULT_BOOLEAN;
	private static byte DEFAULT_BYTE;
	private static short DEFAULT_SHORT;
	private static int DEFAULT_INT;
	private static long DEFAULT_LONG;
	private static float DEFAULT_FLOAT;
	private static double DEFAULT_DOUBLE;

//	public static Object getDefaultValue(Class clazz) {
//		if (clazz.equals(boolean.class)) {
//			return DEFAULT_BOOLEAN;
//		} 
//		else if (clazz.equals(byte.class)) {
//			return DEFAULT_BYTE;
//		} 
//		else if (clazz.equals(short.class)) {
//			return DEFAULT_SHORT;
//		} 
//		else if (clazz.equals(int.class)) {
//			return DEFAULT_INT;
//		} 
//		else if (clazz.equals(long.class)) {
//			return DEFAULT_LONG;
//		} 
//		else if (clazz.equals(float.class)) {
//			return DEFAULT_FLOAT;
//		} 
//		else if (clazz.equals(double.class)) {
//			return DEFAULT_DOUBLE;
//		} 
//		else
//			return null;
//	}
	
	public static Object getDefaultValue(String type) {
		if (type.equals("boolean")) {
			return DEFAULT_BOOLEAN;
		} 
		else if (type.equals("byte")) {
			return DEFAULT_BYTE;
		} 
		else if (type.equals("short")) {
			return DEFAULT_SHORT;
		} 
		else if (type.equals("int")) {
			return DEFAULT_INT;
		} 
		else if (type.equals("long")) {
			return DEFAULT_LONG;
		} 
		else if (type.equals("float")) {
			//DEFAULT_FLOAT gave 0.0, but it is an error
			return DEFAULT_INT;
		} 
		else if (type.equals("double")) {
			return DEFAULT_DOUBLE;
		} 
		else
			return null;
	}
}
