package gui;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;

import edu.stanford.smi.protege.model.Project;

//Wrapper JDialog of EditMethodPanel
public class EditMethodDialog extends JDialog {
	
	public EditMethodDialog(JavaMethodMapperPanel parent, Project project, boolean editMode) {
		setModal(true);
		setBounds(450, 100, 500, 312);
		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(new EditMethodPanel(parent, project, this, editMode), BorderLayout.CENTER);
		setResizable(false);
		if(!editMode)
		  setTitle("Add method");
		else
			setTitle("Edit method");
		
		addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				dispose();
			}
		});
	}
}
